Bug 1875528 - If Windows machine configuration fails at a point after the node object is created the node is left in a partially configured state
Summary: If Windows machine configuration fails at a point after the node object is cr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Windows Containers
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Sebastian Soto
QA Contact: gaoshang
URL:
Whiteboard:
: 1875529 1875530 1879721 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 17:43 UTC by Sebastian Soto
Modified: 2020-10-27 16:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:37:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift windows-machine-config-operator pull 113 0 None closed Bug 1875528: Allow reconfiguration of Windows machines after partial configuration failure 2020-10-26 12:21:48 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:38:04 UTC

Description Sebastian Soto 2020-09-03 17:43:16 UTC
Description of problem:
If a Windows machine configuration failed after the node object was created, but before the network configuration completes, the machine is put into `running` state, so the operator will stop trying to reconcile it, however the node's network isnt set up properly.
 

Version-Release number of selected component (if applicable):
4.6

How reproducible:
Somewhat

Steps to Reproduce:
1. Have network configuration fail
2.
3.

Actual results:
The WMCO stops trying to reconcile the node, and kube-proxy is not running

```
[sebsoto@localhost windows-machine-config-operator]$ oc describe no ip-10-0-133-120.ec2.internal
Name:               ip-10-0-133-120.ec2.internal
Roles:              <none>
Labels:             beta.kubernetes.io/arch=amd64
                    beta.kubernetes.io/instance-type=m5a.large
                    beta.kubernetes.io/os=windows
                    failure-domain.beta.kubernetes.io/region=us-east-1
                    failure-domain.beta.kubernetes.io/zone=us-east-1a
                    kubernetes.io/arch=amd64
                    kubernetes.io/hostname=ec2amaz-pt7f5l3
                    kubernetes.io/os=windows
                    node.kubernetes.io/instance-type=m5a.large
                    node.kubernetes.io/windows-build=10.0.17763
                    node.openshift.io/os_id=Windows
                    topology.kubernetes.io/region=us-east-1
                    topology.kubernetes.io/zone=us-east-1a
Annotations:        k8s.ovn.org/hybrid-overlay-node-subnet: 10.132.0.0/24
                    volumes.kubernetes.io/controller-managed-attach-detach: true
CreationTimestamp:  Thu, 03 Sep 2020 13:18:10 -0400
Taints:             os=Windows:NoSchedule
Unschedulable:      false
Lease:
  HolderIdentity:  ip-10-0-133-120.ec2.internal
  AcquireTime:     <unset>
  RenewTime:       Thu, 03 Sep 2020 13:41:41 -0400
Conditions:
  Type             Status  LastHeartbeatTime                 LastTransitionTime                Reason                       Message
  ----             ------  -----------------                 ------------------                ------                       -------
  MemoryPressure   False   Thu, 03 Sep 2020 13:38:21 -0400   Thu, 03 Sep 2020 13:18:10 -0400   KubeletHasSufficientMemory   kubelet has sufficient memory available
  DiskPressure     False   Thu, 03 Sep 2020 13:38:21 -0400   Thu, 03 Sep 2020 13:18:10 -0400   KubeletHasNoDiskPressure     kubelet has no disk pressure
  PIDPressure      False   Thu, 03 Sep 2020 13:38:21 -0400   Thu, 03 Sep 2020 13:18:10 -0400   KubeletHasSufficientPID      kubelet has sufficient PID available
  Ready            True    Thu, 03 Sep 2020 13:38:21 -0400   Thu, 03 Sep 2020 13:18:20 -0400   KubeletReady                 kubelet is posting ready status
Addresses:
  InternalIP:   10.0.133.120
  Hostname:     ip-10-0-133-120.ec2.internal
  InternalDNS:  ip-10-0-133-120.ec2.internal
Capacity:
  attachable-volumes-aws-ebs:  25
  cpu:                         2
  ephemeral-storage:           125827068Ki
  memory:                      8126044Ki
  pods:                        250
Allocatable:
  attachable-volumes-aws-ebs:  25
  cpu:                         1500m
  ephemeral-storage:           114888483853
  memory:                      6975068Ki
  pods:                        250
System Info:
  Machine ID:                    EC2AMAZ-PT7F5L3
  System UUID:                   EC272410-4709-8C03-4895-44C1AEAE59B9
  Boot ID:                       
  Kernel Version:                10.0.17763.1282
  OS Image:                      Windows Server 2019 Datacenter
  Operating System:              windows
  Architecture:                  amd64
  Container Runtime Version:     docker://19.3.5
  Kubelet Version:               v1.19.0-rc.2.475+b5dc5857327c6a
  Kube-Proxy Version:            v1.19.0-rc.2.475+b5dc5857327c6a
PodCIDR:                         10.128.6.0/24
PodCIDRs:                        10.128.6.0/24
ProviderID:                      aws:///us-east-1a/i-0f90c6b7efefa502f
Non-terminated Pods:             (1 in total)
  Namespace                      Name                             CPU Requests  CPU Limits  Memory Requests  Memory Limits  AGE
  ---------                      ----                             ------------  ----------  ---------------  -------------  ---
  openshift-cluster-csi-drivers  aws-ebs-csi-driver-node-ssxsl    30m (2%)      0 (0%)      150Mi (2%)       0 (0%)         23m
Allocated resources:
  (Total limits may be over 100 percent, i.e., overcommitted.)
  Resource                    Requests    Limits
  --------                    --------    ------
  cpu                         30m (2%)    0 (0%)
  memory                      150Mi (2%)  0 (0%)
  ephemeral-storage           0 (0%)      0 (0%)
  attachable-volumes-aws-ebs  0           0
Events:
  Type    Reason                   Age                From                                   Message
  ----    ------                   ----               ----                                   -------
  Normal  NodeHasSufficientMemory  23m (x8 over 23m)  kubelet, ip-10-0-133-120.ec2.internal  Node ip-10-0-133-120.ec2.internal status is now: NodeHasNoDiskPressure
```

Expected results:
The WMCO determines that a node isnt configured properly and reconfigures it.

Additional info:

Comment 2 Sebastian Soto 2020-09-18 15:51:13 UTC
*** Bug 1875530 has been marked as a duplicate of this bug. ***

Comment 3 Sebastian Soto 2020-09-18 15:51:32 UTC
*** Bug 1875529 has been marked as a duplicate of this bug. ***

Comment 5 Aravindh Puthiyaparambil 2020-09-21 18:51:31 UTC
*** Bug 1879721 has been marked as a duplicate of this bug. ***

Comment 6 gaoshang 2020-09-24 12:28:09 UTC
This bug has been verified and passed on 4.6.0-0.nightly-2020-09-23-022756

Version:
windows-machine-config-operator git commit: 162707d2efae8abe8bbe89a74cf5a449db682bf7

Steps:
1. Scale up Windows node multiple times, check when network configuration fails, the operator is still trying to reconcile
# oc logs -f deployment.apps/windows-machine-config-operator
...
2020-09-24T12:02:01.656Z	INFO	windowsmachine-controller	reconciling	{"namespace": "openshift-machine-api", "name": "sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj"}
2020-09-24T12:02:01.668Z	DEBUG	windowsmachine-controller	configuring the Windows VM	{"ID": "i-07c13eb102cfe4b38"}
2020-09-24T12:02:33.640Z	DEBUG	VM i-07c13eb102cfe4b38	ignition file download	{"cmd": "C:\\Temp\\wget-ignore-cert.ps1 -server https://api-int.sgao-winc.qe.devcluster.openshift.com:22623/config/worker -output C:\\Windows\\Temp\\worker.ign -acceptHeader application/vnd.coreos.ignition+json`;version=3.1.0", "output": ""}
2020-09-24T12:02:37.613Z	DEBUG	VM i-07c13eb102cfe4b38	output from wmcb	{"output": "Bootstrapping completed successfully"}
2020-09-24T12:10:44.835Z	DEBUG	controller-runtime.manager.events	Warning	{"object": {"kind":"Machine","namespace":"openshift-machine-api","name":"sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj","uid":"3ca29eec-2b37-4e8e-a82e-ed087e594abb","apiVersion":"machine.openshift.io/v1beta1","resourceVersion":"1330713"}, "reason": "WMCO SetupFailure", "message": "Machine sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj failed to be configured"}
----------------------------------------------------------------Configure network failed----------------------------------------------------------------

2020-09-24T12:10:44.835Z	ERROR	controller-runtime.controller	Reconciler error	{"controller": "windowsmachine-controller", "request": "openshift-machine-api/sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj", "error": "failed to configure Windows VM i-07c13eb102cfe4b38: configuring node network failed: error configuring hybrid overlay for ip-10-0-142-96.us-east-2.compute.internal: error running hybrid-overlay-node.exe: timeout waiting for hybrid-overlay: error running powershell.exe -NonInteractive -ExecutionPolicy Bypass Get-Process -Name \"hybrid-overlay-node\": read tcp 10.0.164.236:41788->10.0.142.96:22: read: connection timed out", "errorVerbose": "timeout waiting for hybrid-overlay: error running powershell.exe -NonInteractive -ExecutionPolicy Bypass Get-Process -Name \"hybrid-overlay-node\": read tcp 10.0.164.236:41788->10.0.142.96:22: read: connection timed out\nerror running hybrid-overlay-node.exe\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).ConfigureHybridOverlay\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:186\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).configureNetwork\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:170\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:136\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nerror configuring hybrid overlay for ip-10-0-142-96.us-east-2.compute.internal\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).configureNetwork\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:171\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:136\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nconfiguring node network failed\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:137\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nfailed to configure Windows VM i-07c13eb102cfe4b38\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:272\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373"}
github.com/go-logr/zapr.(*zapLogger).Error
	windows-machine-config-operator/vendor/github.com/go-logr/zapr/zapr.go:132
sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler
	windows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:258
sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem
	windows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232
sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker
	windows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211
k8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155
k8s.io/apimachinery/pkg/util/wait.BackoffUntil
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156
k8s.io/apimachinery/pkg/util/wait.JitterUntil
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133
k8s.io/apimachinery/pkg/util/wait.Until
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90
----------------------------------------------------------------Continue reconcile----------------------------------------------------------------

2020-09-24T12:10:45.836Z	INFO	windowsmachine-controller	reconciling	{"namespace": "openshift-machine-api", "name": "sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj"}
2020-09-24T12:10:45.850Z	DEBUG	windowsmachine-controller	configuring the Windows VM	{"ID": "i-07c13eb102cfe4b38"}
2020-09-24T12:11:23.187Z	DEBUG	VM i-07c13eb102cfe4b38	ignition file download	{"cmd": "C:\\Temp\\wget-ignore-cert.ps1 -server https://api-int.sgao-winc.qe.devcluster.openshift.com:22623/config/worker -output C:\\Windows\\Temp\\worker.ign -acceptHeader application/vnd.coreos.ignition+json`;version=3.1.0", "output": ""}
2020-09-24T12:11:23.188Z	DEBUG	controller-runtime.manager.events	Warning	{"object": {"kind":"Machine","namespace":"openshift-machine-api","name":"sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj","uid":"3ca29eec-2b37-4e8e-a82e-ed087e594abb","apiVersion":"machine.openshift.io/v1beta1","resourceVersion":"1341399"}, "reason": "WMCO SetupFailure", "message": "Machine sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj failed to be configured"}
2020-09-24T12:11:23.187Z	ERROR	controller-runtime.controller	Reconciler error	{"controller": "windowsmachine-controller", "request": "openshift-machine-api/sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj", "error": "failed to configure Windows VM i-07c13eb102cfe4b38: configuring the Windows VM failed: error initializing bootstrapper files: unable to download worker.ign: error running powershell.exe -NonInteractive -ExecutionPolicy Bypass C:\\Temp\\wget-ignore-cert.ps1 -server https://api-int.sgao-winc.qe.devcluster.openshift.com:22623/config/worker -output C:\\Windows\\Temp\\worker.ign -acceptHeader application/vnd.coreos.ignition+json`;version=3.1.0: Process exited with status 1", "errorVerbose": "Process exited with status 1\nerror running powershell.exe -NonInteractive -ExecutionPolicy Bypass C:\\Temp\\wget-ignore-cert.ps1 -server https://api-int.sgao-winc.qe.devcluster.openshift.com:22623/config/worker -output C:\\Windows\\Temp\\worker.ign -acceptHeader application/vnd.coreos.ignition+json`;version=3.1.0\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).Run\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:141\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).initializeBootstrapperFiles\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:333\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).runBootstrapper\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:312\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:160\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:128\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nunable to download worker.ign\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).initializeBootstrapperFiles\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:336\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).runBootstrapper\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:312\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:160\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:128\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nerror initializing bootstrapper files\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).runBootstrapper\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:314\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:160\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:128\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nconfiguring the Windows VM failed\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:129\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nfailed to configure Windows VM i-07c13eb102cfe4b38\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:272\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373"}
github.com/go-logr/zapr.(*zapLogger).Error
	windows-machine-config-operator/vendor/github.com/go-logr/zapr/zapr.go:132
sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler
	windows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:258
sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem
	windows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232
sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker
	windows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211
k8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155
k8s.io/apimachinery/pkg/util/wait.BackoffUntil
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156
k8s.io/apimachinery/pkg/util/wait.JitterUntil
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133
k8s.io/apimachinery/pkg/util/wait.Until
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90
2020-09-24T12:11:24.190Z	INFO	windowsmachine-controller	reconciling	{"namespace": "openshift-machine-api", "name": "sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj"}
2020-09-24T12:11:24.204Z	DEBUG	windowsmachine-controller	configuring the Windows VM	{"ID": "i-07c13eb102cfe4b38"}
2020-09-24T12:11:59.509Z	DEBUG	VM i-07c13eb102cfe4b38	ignition file download	{"cmd": "C:\\Temp\\wget-ignore-cert.ps1 -server https://api-int.sgao-winc.qe.devcluster.openshift.com:22623/config/worker -output C:\\Windows\\Temp\\worker.ign -acceptHeader application/vnd.coreos.ignition+json`;version=3.1.0", "output": ""}
2020-09-24T12:11:59.509Z	ERROR	controller-runtime.controller	Reconciler error	{"controller": "windowsmachine-controller", "request": "openshift-machine-api/sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj", "error": "failed to configure Windows VM i-07c13eb102cfe4b38: configuring the Windows VM failed: error initializing bootstrapper files: unable to download worker.ign: error running powershell.exe -NonInteractive -ExecutionPolicy Bypass C:\\Temp\\wget-ignore-cert.ps1 -server https://api-int.sgao-winc.qe.devcluster.openshift.com:22623/config/worker -output C:\\Windows\\Temp\\worker.ign -acceptHeader application/vnd.coreos.ignition+json`;version=3.1.0: Process exited with status 1", "errorVerbose": "Process exited with status 1\nerror running powershell.exe -NonInteractive -ExecutionPolicy Bypass C:\\Temp\\wget-ignore-cert.ps1 -server https://api-int.sgao-winc.qe.devcluster.openshift.com:22623/config/worker -output C:\\Windows\\Temp\\worker.ign -acceptHeader application/vnd.coreos.ignition+json`;version=3.1.0\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).Run\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:141\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).initializeBootstrapperFiles\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:333\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).runBootstrapper\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:312\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:160\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:128\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nunable to download worker.ign\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).initializeBootstrapperFiles\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:336\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).runBootstrapper\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:312\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:160\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:128\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nerror initializing bootstrapper files\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).runBootstrapper\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:314\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:160\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:128\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nconfiguring the Windows VM failed\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:129\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nfailed to configure Windows VM i-07c13eb102cfe4b38\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:272\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373"}
github.com/go-logr/zapr.(*zapLogger).Error
	windows-machine-config-operator/vendor/github.com/go-logr/zapr/zapr.go:132
sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler
	windows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:258
sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem
	windows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232
sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker
	windows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211
k8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155
k8s.io/apimachinery/pkg/util/wait.BackoffUntil
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156
k8s.io/apimachinery/pkg/util/wait.JitterUntil
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133
k8s.io/apimachinery/pkg/util/wait.Until
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90
2020-09-24T12:11:59.510Z	DEBUG	controller-runtime.manager.events	Warning	{"object": {"kind":"Machine","namespace":"openshift-machine-api","name":"sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj","uid":"3ca29eec-2b37-4e8e-a82e-ed087e594abb","apiVersion":"machine.openshift.io/v1beta1","resourceVersion":"1341399"}, "reason": "WMCO SetupFailure", "message": "Machine sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj failed to be configured"}
2020-09-24T12:12:00.510Z	INFO	windowsmachine-controller	reconciling	{"namespace": "openshift-machine-api", "name": "sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj"}
2020-09-24T12:12:00.523Z	DEBUG	windowsmachine-controller	configuring the Windows VM	{"ID": "i-07c13eb102cfe4b38"}
2020-09-24T12:12:35.576Z	DEBUG	VM i-07c13eb102cfe4b38	ignition file download	{"cmd": "C:\\Temp\\wget-ignore-cert.ps1 -server https://api-int.sgao-winc.qe.devcluster.openshift.com:22623/config/worker -output C:\\Windows\\Temp\\worker.ign -acceptHeader application/vnd.coreos.ignition+json`;version=3.1.0", "output": ""}
2020-09-24T12:12:35.576Z	DEBUG	controller-runtime.manager.events	Warning	{"object": {"kind":"Machine","namespace":"openshift-machine-api","name":"sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj","uid":"3ca29eec-2b37-4e8e-a82e-ed087e594abb","apiVersion":"machine.openshift.io/v1beta1","resourceVersion":"1341399"}, "reason": "WMCO SetupFailure", "message": "Machine sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj failed to be configured"}
2020-09-24T12:12:35.576Z	ERROR	controller-runtime.controller	Reconciler error	{"controller": "windowsmachine-controller", "request": "openshift-machine-api/sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj", "error": "failed to configure Windows VM i-07c13eb102cfe4b38: configuring the Windows VM failed: error initializing bootstrapper files: unable to download worker.ign: error running powershell.exe -NonInteractive -ExecutionPolicy Bypass C:\\Temp\\wget-ignore-cert.ps1 -server https://api-int.sgao-winc.qe.devcluster.openshift.com:22623/config/worker -output C:\\Windows\\Temp\\worker.ign -acceptHeader application/vnd.coreos.ignition+json`;version=3.1.0: Process exited with status 1", "errorVerbose": "Process exited with status 1\nerror running powershell.exe -NonInteractive -ExecutionPolicy Bypass C:\\Temp\\wget-ignore-cert.ps1 -server https://api-int.sgao-winc.qe.devcluster.openshift.com:22623/config/worker -output C:\\Windows\\Temp\\worker.ign -acceptHeader application/vnd.coreos.ignition+json`;version=3.1.0\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).Run\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:141\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).initializeBootstrapperFiles\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:333\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).runBootstrapper\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:312\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:160\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:128\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nunable to download worker.ign\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).initializeBootstrapperFiles\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:336\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).runBootstrapper\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:312\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:160\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:128\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nerror initializing bootstrapper files\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).runBootstrapper\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:314\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:160\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:128\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nconfiguring the Windows VM failed\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:129\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373\nfailed to configure Windows VM i-07c13eb102cfe4b38\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:272\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373"}
github.com/go-logr/zapr.(*zapLogger).Error
	windows-machine-config-operator/vendor/github.com/go-logr/zapr/zapr.go:132
sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler
	windows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:258
sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem
	windows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232
sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker
	windows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211
k8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155
k8s.io/apimachinery/pkg/util/wait.BackoffUntil
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156
k8s.io/apimachinery/pkg/util/wait.JitterUntil
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133
k8s.io/apimachinery/pkg/util/wait.Until
	windows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90
2020-09-24T12:12:36.856Z	INFO	windowsmachine-controller	reconciling	{"namespace": "openshift-machine-api", "name": "sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj"}
2020-09-24T12:12:36.870Z	DEBUG	windowsmachine-controller	configuring the Windows VM	{"ID": "i-07c13eb102cfe4b38"}
2020-09-24T12:12:41.848Z	DEBUG	VM i-07c13eb102cfe4b38	ignition file download	{"cmd": "C:\\Temp\\wget-ignore-cert.ps1 -server https://api-int.sgao-winc.qe.devcluster.openshift.com:22623/config/worker -output C:\\Windows\\Temp\\worker.ign -acceptHeader application/vnd.coreos.ignition+json`;version=3.1.0", "output": ""}
2020-09-24T12:12:53.903Z	DEBUG	VM i-07c13eb102cfe4b38	output from wmcb	{"output": "Bootstrapping completed successfully"}
2020-09-24T12:15:54.861Z	INFO	VM i-07c13eb102cfe4b38	failed to query service	{"service": "kube-proxy", "output": "", "err": "error running sc.exe query kube-proxy: Process exited with status 1060", "errVerbose": "Process exited with status 1060\nerror running sc.exe query kube-proxy\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).Run\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:141\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).isRunning\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:362\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/windows.(*windows).ConfigureKubeProxy\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windows/windows.go:239\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).configureNetwork\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:186\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig.(*nodeConfig).Configure\n\twindows-machine-config-operator/pkg/controller/windowsmachine/nodeconfig/nodeconfig.go:136\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).addWorkerNode\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:270\ngithub.com/openshift/windows-machine-config-operator/pkg/controller/windowsmachine.(*ReconcileWindowsMachine).Reconcile\n\twindows-machine-config-operator/pkg/controller/windowsmachine/windowsmachine_controller.go:251\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).reconcileHandler\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:256\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:232\nsigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).worker\n\twindows-machine-config-operator/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:211\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil.func1\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:155\nk8s.io/apimachinery/pkg/util/wait.BackoffUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:156\nk8s.io/apimachinery/pkg/util/wait.JitterUntil\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133\nk8s.io/apimachinery/pkg/util/wait.Until\n\twindows-machine-config-operator/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:90\nruntime.goexit\n\t/usr/local/go/src/runtime/asm_amd64.s:1373"}
2020-09-24T12:15:55.187Z	DEBUG	VM i-07c13eb102cfe4b38	started service	{"name": "kube-proxy", "binary": "C:\\k\\kube-proxy.exe", "args": "--windows-service --v=4 --proxy-mode=kernelspace --feature-gates=WinOverlay=true --hostname-override=ip-10-0-142-96.us-east-2.compute.internal --kubeconfig=c:\\k\\kubeconfig --cluster-cidr=10.132.5.0/24 --log-dir=C:\\var\\log\\kube-proxy\\ --logtostderr=false --network-name=OVNKubernetesHybridOverlayNetwork --source-vip=10.132.5.20 --enable-dsr=false"}
2020-09-24T12:16:10.208Z	INFO	windowsmachine-controller	Windows VM has joined the cluster as a worker node	{"ID": "i-07c13eb102cfe4b38"}
2020-09-24T12:16:10.208Z	DEBUG	controller-runtime.controller	Successfully Reconciled	{"controller": "windowsmachine-controller", "request": "openshift-machine-api/sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj"}
2020-09-24T12:16:10.208Z	DEBUG	controller-runtime.manager.events	Normal	{"object": {"kind":"Machine","namespace":"openshift-machine-api","name":"sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj","uid":"3ca29eec-2b37-4e8e-a82e-ed087e594abb","apiVersion":"machine.openshift.io/v1beta1","resourceVersion":"1341399"}, "reason": "WMCO Setup", "message": "Machine sgao-winc-pn69r-windows-worker-us-east-2a-zmmxj Configured Successfully"}
----------------------------------------------------------------Reconcile complete----------------------------------------------------------------

Comment 9 errata-xmlrpc 2020-10-27 16:37:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.